/*
**      $VER: SPOListSubs.c 5.3 (4.1.97)
**
**      SuperPlay spobject list generation (header)
**
**      (C) Copyright 1994-97 Andreas R. Kleinert
**      All Rights Reserved.
*/

#include "SuperPlay.h"


 /* spobject List Handling Functions */

extern struct SPS_SPOList *  __regargs SPS_GetSPOList(void);
extern void	             __regargs SPS_FreeSPOList(struct SPS_SPOList *SPOList);
extern long                  __regargs SPS_AddSPOEntry(struct SPS_SPOList *mlist,  struct SPO_ObjectNode *spo_node);
extern struct SPS_SPOEntry * __regargs SPS_GetSPOEntry(struct SPS_SPOList *SPOList, long entrynum);


struct SPS_SPOList
{
 struct List   spl_EntryList;  /* List of Entries. Type : struct SPS_SPOEntry */
 LONG	       spl_NumEntries; /* Number of List-Entries			    */
};

     /* The SPS_SPOEntry structure, retured by SPS_GetSPOList() */

struct SPS_SPOEntry
{
 struct Node            SPONode;

 UBYTE                  spe_ObjectID [128];
 ULONG                  spe_ObjectCode;
 ULONG                  spe_ObjectSubCode;

 struct SPO_ObjectNode *spe_SPO_ObjectNode;
};
